# Interface TokenBridgeRelayer

#### Hierarchy

- BaseContract
  - TokenBridgeRelayer

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:545

#####
Index

### Properties

VERSION
WETH
calculateMaxSwapAmountIn
calculateNativeSwapAmountOut
calculateRelayerFee
cancelOwnershipTransferRequest
chainId
completeTransferWithRelay
confirmOwnershipTransferRequest
decodeTransferWithRelay
denormalizeAmount
deregisterToken
encodeTransferWithRelay
feeRecipient
fetchLocalAddressFromTransferMessage
filters
getAcceptedTokensList
getPaused
getRegisteredContract
interface
isAcceptedToken
maxNativeSwapAmount
nativeSwapRate
normalizeAmount
owner
ownerAssistant
pendingOwner
registerContract
registerToken
relayerFee
relayerFeePrecision
setPauseForTransfers
submitOwnershipTransferRequest
swapRate
swapRatePrecision
tokenBridge
transferTokensWithRelay
unwrapWeth
updateFeeRecipient
updateMaxNativeSwapAmount
updateOwnerAssistant
updateRelayerFee
updateRelayerFeePrecision
updateSwapRate
updateSwapRatePrecision
updateUnwrapWethFlag
wormhole
wrapAndTransferEthWithRelay

### Methods

connect
getEvent
getFunction
listeners
on
once
queryFilter
removeAllListeners
waitForDeployment

## Properties

### VERSION

VERSION: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:588

### WETH

WETH: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:590

### calculateMaxSwapAmountIn

calculateMaxSwapAmountIn: TypedContractMethod<[token: AddressLike], [bigint], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:592

### calculateNativeSwapAmountOut

calculateNativeSwapAmountOut: TypedContractMethod<[token: AddressLike, toNativeAmount: BigNumberish], [bigint], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:598

### calculateRelayerFee

calculateRelayerFee: TypedContractMethod<[targetChainId: BigNumberish, token: AddressLike, decimals: BigNumberish], [bigint], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:604

### cancelOwnershipTransferRequest

cancelOwnershipTransferRequest: TypedContractMethod<[chainId_: BigNumberish], [void], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:610

### chainId

chainId: TypedContractMethod<[], [bigint], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:616

### completeTransferWithRelay

completeTransferWithRelay: TypedContractMethod<[encodedTransferMessage: BytesLike], [void], "payable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:618

### confirmOwnershipTransferRequest

confirmOwnershipTransferRequest: TypedContractMethod<[], [void], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:624

### decodeTransferWithRelay

decodeTransferWithRelay: TypedContractMethod<[encoded: BytesLike], [TransferWithRelayStructOutput], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:630

### denormalizeAmount

denormalizeAmount: TypedContractMethod<[amount: BigNumberish, decimals: BigNumberish], [bigint], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:636

### deregisterToken

deregisterToken: TypedContractMethod<[chainId_: BigNumberish, token: AddressLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:642

### encodeTransferWithRelay

encodeTransferWithRelay: TypedContractMethod<[transfer: TransferWithRelayStruct], [string], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:648

### feeRecipient

feeRecipient: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:654

### fetchLocalAddressFromTransferMessage

fetchLocalAddressFromTransferMessage: TypedContractMethod<[payload: BytesLike], [string], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:656

### filters

filters: {
FeeRecipientUpdated: TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
FeeRecipientUpdated(address,address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
OwnershipTransfered: TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
OwnershipTransfered(address,address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
SwapExecuted: TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
SwapExecuted(address,address,address,uint256,uint256): TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
SwapRateUpdated: TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
SwapRateUpdated(tuple[]): TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
TransferRedeemed: TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
TransferRedeemed(uint16,bytes32,uint64): TypedContractEvent<InputTuple, OutputTuple, OutputObject>;
}

#### Type declaration

- ##### FeeRecipientUpdated: TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### FeeRecipientUpdated(address,address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### OwnershipTransfered: TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### OwnershipTransfered(address,address): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### SwapExecuted: TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### SwapExecuted(address,address,address,uint256,uint256): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### SwapRateUpdated: TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### SwapRateUpdated(tuple[]): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### TransferRedeemed: TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- ##### TransferRedeemed(uint16,bytes32,uint64): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

Overrides BaseContract.filters

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:1089

### getAcceptedTokensList

getAcceptedTokensList: TypedContractMethod<[], [string[]], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:662

### getPaused

getPaused: TypedContractMethod<[], [boolean], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:664

### getRegisteredContract

getRegisteredContract: TypedContractMethod<[emitterChainId: BigNumberish], [string], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:666

### interface

interface: TokenBridgeRelayerInterface

Overrides BaseContract.interface

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:549

### isAcceptedToken

isAcceptedToken: TypedContractMethod<[token: AddressLike], [boolean], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:672

### maxNativeSwapAmount

maxNativeSwapAmount: TypedContractMethod<[token: AddressLike], [bigint], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:674

### nativeSwapRate

nativeSwapRate: TypedContractMethod<[token: AddressLike], [bigint], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:680

### normalizeAmount

normalizeAmount: TypedContractMethod<[amount: BigNumberish, decimals: BigNumberish], [bigint], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:682

### owner

owner: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:688

### ownerAssistant

ownerAssistant: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:690

### pendingOwner

pendingOwner: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:692

### registerContract

registerContract: TypedContractMethod<[chainId_: BigNumberish, contractAddress: BytesLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:694

### registerToken

registerToken: TypedContractMethod<[chainId_: BigNumberish, token: AddressLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:700

### relayerFee

relayerFee: TypedContractMethod<[chainId_: BigNumberish], [bigint], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:706

### relayerFeePrecision

relayerFeePrecision: TypedContractMethod<[], [bigint], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:708

### setPauseForTransfers

setPauseForTransfers: TypedContractMethod<[chainId_: BigNumberish, paused: boolean], [void], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:710

### submitOwnershipTransferRequest

submitOwnershipTransferRequest: TypedContractMethod<[chainId_: BigNumberish, newOwner: AddressLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:716

### swapRate

swapRate: TypedContractMethod<[token: AddressLike], [bigint], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:722

### swapRatePrecision

swapRatePrecision: TypedContractMethod<[], [bigint], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:724

### tokenBridge

tokenBridge: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:726

### transferTokensWithRelay

transferTokensWithRelay: TypedContractMethod<[token: AddressLike, amount: BigNumberish, toNativeTokenAmount: BigNumberish, targetChain: BigNumberish, targetRecipient: BytesLike, batchId: BigNumberish], [bigint], "payable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:728

### unwrapWeth

unwrapWeth: TypedContractMethod<[], [boolean], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:741

### updateFeeRecipient

updateFeeRecipient: TypedContractMethod<[chainId_: BigNumberish, newFeeRecipient: AddressLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:743

### updateMaxNativeSwapAmount

updateMaxNativeSwapAmount: TypedContractMethod<[chainId_: BigNumberish, token: AddressLike, maxAmount: BigNumberish], [void], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:749

### updateOwnerAssistant

updateOwnerAssistant: TypedContractMethod<[chainId_: BigNumberish, newAssistant: AddressLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:755

### updateRelayerFee

updateRelayerFee: TypedContractMethod<[chainId_: BigNumberish, amount: BigNumberish], [void], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:761

### updateRelayerFeePrecision

updateRelayerFeePrecision: TypedContractMethod<[chainId_: BigNumberish, relayerFeePrecision_: BigNumberish], [void], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:767

### updateSwapRate

updateSwapRate: TypedContractMethod<[chainId_: BigNumberish, swapRateUpdate: SwapRateUpdateStruct[]], [void], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:773

### updateSwapRatePrecision

updateSwapRatePrecision: TypedContractMethod<[chainId_: BigNumberish, swapRatePrecision_: BigNumberish], [void], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:782

### updateUnwrapWethFlag

updateUnwrapWethFlag: TypedContractMethod<[chainId_: BigNumberish, unwrapWeth_: boolean], [void], "nonpayable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:788

### wormhole

wormhole: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:794

### wrapAndTransferEthWithRelay

wrapAndTransferEthWithRelay: TypedContractMethod<[toNativeTokenAmount: BigNumberish, targetChain: BigNumberish, targetRecipient: BytesLike, batchId: BigNumberish], [bigint], "payable">

- Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:796

## Methods

### connect

- connect(runner?): ethers_contracts.TokenBridgeRelayer

- #### Parameters

  - ##### `Optional` runner: ContractRunner

  #### Returns ethers_contracts.TokenBridgeRelayer

  Overrides BaseContract.connect

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:546

### getEvent

- getEvent(key): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- #### Parameters

  - ##### key: "FeeRecipientUpdated"

  #### Returns TypedContractEvent<InputTuple, OutputTuple, OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:1053
- getEvent(key): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- #### Parameters

  - ##### key: "OwnershipTransfered"

  #### Returns TypedContractEvent<InputTuple, OutputTuple, OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:1060
- getEvent(key): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- #### Parameters

  - ##### key: "SwapExecuted"

  #### Returns TypedContractEvent<InputTuple, OutputTuple, OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:1067
- getEvent(key): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- #### Parameters

  - ##### key: "SwapRateUpdated"

  #### Returns TypedContractEvent<InputTuple, OutputTuple, OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:1074
- getEvent(key): TypedContractEvent<InputTuple, OutputTuple, OutputObject>

- #### Parameters

  - ##### key: "TransferRedeemed"

  #### Returns TypedContractEvent<InputTuple, OutputTuple, OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:1081

### getFunction

- getFunction<T>(key): T

- #### Type Parameters

  - #### T extends ContractMethod<any[], any, any> = ContractMethod<any[], any, any>

  #### Parameters

  - ##### key: string | FunctionFragment

  #### Returns T

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:807
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "VERSION"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:811
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "WETH"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:814
- getFunction(nameOrSignature): TypedContractMethod<[token: AddressLike], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "calculateMaxSwapAmountIn"

  #### Returns TypedContractMethod<[token: AddressLike], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:817
- getFunction(nameOrSignature): TypedContractMethod<[token: AddressLike, toNativeAmount: BigNumberish], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "calculateNativeSwapAmountOut"

  #### Returns TypedContractMethod<[token: AddressLike, toNativeAmount: BigNumberish], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:820
- getFunction(nameOrSignature): TypedContractMethod<[targetChainId: BigNumberish, token: AddressLike, decimals: BigNumberish], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "calculateRelayerFee"

  #### Returns TypedContractMethod<[targetChainId: BigNumberish, token: AddressLike, decimals: BigNumberish], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:827
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "cancelOwnershipTransferRequest"

  #### Returns TypedContractMethod<[chainId_: BigNumberish], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:834
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "chainId"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:837
- getFunction(nameOrSignature): TypedContractMethod<[encodedTransferMessage: BytesLike], [void], "payable">

- #### Parameters

  - ##### nameOrSignature: "completeTransferWithRelay"

  #### Returns TypedContractMethod<[encodedTransferMessage: BytesLike], [void], "payable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:840
- getFunction(nameOrSignature): TypedContractMethod<[], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "confirmOwnershipTransferRequest"

  #### Returns TypedContractMethod<[], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:847
- getFunction(nameOrSignature): TypedContractMethod<[encoded: BytesLike], [TransferWithRelayStructOutput], "view">

- #### Parameters

  - ##### nameOrSignature: "decodeTransferWithRelay"

  #### Returns TypedContractMethod<[encoded: BytesLike], [TransferWithRelayStructOutput], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:850
- getFunction(nameOrSignature): TypedContractMethod<[amount: BigNumberish, decimals: BigNumberish], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "denormalizeAmount"

  #### Returns TypedContractMethod<[amount: BigNumberish, decimals: BigNumberish], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:857
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, token: AddressLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "deregisterToken"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, token: AddressLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:864
- getFunction(nameOrSignature): TypedContractMethod<[transfer: TransferWithRelayStruct], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "encodeTransferWithRelay"

  #### Returns TypedContractMethod<[transfer: TransferWithRelayStruct], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:871
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "feeRecipient"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:878
- getFunction(nameOrSignature): TypedContractMethod<[payload: BytesLike], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "fetchLocalAddressFromTransferMessage"

  #### Returns TypedContractMethod<[payload: BytesLike], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:881
- getFunction(nameOrSignature): TypedContractMethod<[], [string[]], "view">

- #### Parameters

  - ##### nameOrSignature: "getAcceptedTokensList"

  #### Returns TypedContractMethod<[], [string[]], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:884
- getFunction(nameOrSignature): TypedContractMethod<[], [boolean], "view">

- #### Parameters

  - ##### nameOrSignature: "getPaused"

  #### Returns TypedContractMethod<[], [boolean], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:887
- getFunction(nameOrSignature): TypedContractMethod<[emitterChainId: BigNumberish], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "getRegisteredContract"

  #### Returns TypedContractMethod<[emitterChainId: BigNumberish], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:890
- getFunction(nameOrSignature): TypedContractMethod<[token: AddressLike], [boolean], "view">

- #### Parameters

  - ##### nameOrSignature: "isAcceptedToken"

  #### Returns TypedContractMethod<[token: AddressLike], [boolean], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:893
- getFunction(nameOrSignature): TypedContractMethod<[token: AddressLike], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "maxNativeSwapAmount"

  #### Returns TypedContractMethod<[token: AddressLike], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:896
- getFunction(nameOrSignature): TypedContractMethod<[token: AddressLike], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "nativeSwapRate"

  #### Returns TypedContractMethod<[token: AddressLike], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:899
- getFunction(nameOrSignature): TypedContractMethod<[amount: BigNumberish, decimals: BigNumberish], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "normalizeAmount"

  #### Returns TypedContractMethod<[amount: BigNumberish, decimals: BigNumberish], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:902
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "owner"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:909
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "ownerAssistant"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:912
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "pendingOwner"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:915
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, contractAddress: BytesLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "registerContract"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, contractAddress: BytesLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:918
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, token: AddressLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "registerToken"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, token: AddressLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:925
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "relayerFee"

  #### Returns TypedContractMethod<[chainId_: BigNumberish], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:932
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "relayerFeePrecision"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:935
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, paused: boolean], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "setPauseForTransfers"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, paused: boolean], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:938
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, newOwner: AddressLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "submitOwnershipTransferRequest"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, newOwner: AddressLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:945
- getFunction(nameOrSignature): TypedContractMethod<[token: AddressLike], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "swapRate"

  #### Returns TypedContractMethod<[token: AddressLike], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:952
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "swapRatePrecision"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:955
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "tokenBridge"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:958
- getFunction(nameOrSignature): TypedContractMethod<[token: AddressLike, amount: BigNumberish, toNativeTokenAmount: BigNumberish, targetChain: BigNumberish, targetRecipient: BytesLike, batchId: BigNumberish], [bigint], "payable">

- #### Parameters

  - ##### nameOrSignature: "transferTokensWithRelay"

  #### Returns TypedContractMethod<[token: AddressLike, amount: BigNumberish, toNativeTokenAmount: BigNumberish, targetChain: BigNumberish, targetRecipient: BytesLike, batchId: BigNumberish], [bigint], "payable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:961
- getFunction(nameOrSignature): TypedContractMethod<[], [boolean], "view">

- #### Parameters

  - ##### nameOrSignature: "unwrapWeth"

  #### Returns TypedContractMethod<[], [boolean], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:975
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, newFeeRecipient: AddressLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "updateFeeRecipient"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, newFeeRecipient: AddressLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:978
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, token: AddressLike, maxAmount: BigNumberish], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "updateMaxNativeSwapAmount"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, token: AddressLike, maxAmount: BigNumberish], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:985
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, newAssistant: AddressLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "updateOwnerAssistant"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, newAssistant: AddressLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:992
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, amount: BigNumberish], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "updateRelayerFee"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, amount: BigNumberish], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:999
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, relayerFeePrecision_: BigNumberish], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "updateRelayerFeePrecision"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, relayerFeePrecision_: BigNumberish], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:1006
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, swapRateUpdate: SwapRateUpdateStruct[]], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "updateSwapRate"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, swapRateUpdate: SwapRateUpdateStruct[]], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:1013
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, swapRatePrecision_: BigNumberish], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "updateSwapRatePrecision"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, swapRatePrecision_: BigNumberish], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:1023
- getFunction(nameOrSignature): TypedContractMethod<[chainId_: BigNumberish, unwrapWeth_: boolean], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "updateUnwrapWethFlag"

  #### Returns TypedContractMethod<[chainId_: BigNumberish, unwrapWeth_: boolean], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:1030
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "wormhole"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:1037
- getFunction(nameOrSignature): TypedContractMethod<[toNativeTokenAmount: BigNumberish, targetChain: BigNumberish, targetRecipient: BytesLike, batchId: BigNumberish], [bigint], "payable">

- #### Parameters

  - ##### nameOrSignature: "wrapAndTransferEthWithRelay"

  #### Returns TypedContractMethod<[toNativeTokenAmount: BigNumberish, targetChain: BigNumberish, targetRecipient: BytesLike, batchId: BigNumberish], [bigint], "payable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:1040

### listeners

- listeners<TCEvent>(event): Promise<TypedListener<TCEvent>[]>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  #### Returns Promise<TypedListener<TCEvent>[]>

  Overrides BaseContract.listeners

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:580
- listeners(eventName?): Promise<Listener[]>

- #### Parameters

  - ##### `Optional` eventName: string

  #### Returns Promise<Listener[]>

  Overrides BaseContract.listeners

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:583

### on

- on<TCEvent>(event, listener): Promise<ethers_contracts.TokenBridgeRelayer>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<ethers_contracts.TokenBridgeRelayer>

  Overrides BaseContract.on

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:562
- on<TCEvent>(filter, listener): Promise<ethers_contracts.TokenBridgeRelayer>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### filter: TypedDeferredTopicFilter<TCEvent>

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<ethers_contracts.TokenBridgeRelayer>

  Overrides BaseContract.on

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:566

### once

- once<TCEvent>(event, listener): Promise<ethers_contracts.TokenBridgeRelayer>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<ethers_contracts.TokenBridgeRelayer>

  Overrides BaseContract.once

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:571
- once<TCEvent>(filter, listener): Promise<ethers_contracts.TokenBridgeRelayer>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### filter: TypedDeferredTopicFilter<TCEvent>

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<ethers_contracts.TokenBridgeRelayer>

  Overrides BaseContract.once

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:575

### queryFilter

- queryFilter<TCEvent>(event, fromBlockOrBlockhash?, toBlock?): Promise<TypedEventLog<TCEvent>[]>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  - ##### `Optional` fromBlockOrBlockhash: string | number

  - ##### `Optional` toBlock: string | number

  #### Returns Promise<TypedEventLog<TCEvent>[]>

  Overrides BaseContract.queryFilter

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:551
- queryFilter<TCEvent>(filter, fromBlockOrBlockhash?, toBlock?): Promise<TypedEventLog<TCEvent>[]>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### filter: TypedDeferredTopicFilter<TCEvent>

  - ##### `Optional` fromBlockOrBlockhash: string | number

  - ##### `Optional` toBlock: string | number

  #### Returns Promise<TypedEventLog<TCEvent>[]>

  Overrides BaseContract.queryFilter

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:556

### removeAllListeners

- removeAllListeners<TCEvent>(event?): Promise<ethers_contracts.TokenBridgeRelayer>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### `Optional` event: TCEvent

  #### Returns Promise<ethers_contracts.TokenBridgeRelayer>

  Overrides BaseContract.removeAllListeners

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:584

### waitForDeployment

- waitForDeployment(): Promise<ethers_contracts.TokenBridgeRelayer>

- #### Returns Promise<ethers_contracts.TokenBridgeRelayer>

  Overrides BaseContract.waitForDeployment

  - Defined in platforms/evm/protocols/tokenBridge/src/ethers-contracts/TokenBridgeRelayer.ts:547

Generated using TypeDoc